For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTAnalyze step results
      • GETList eval batches
      • POSTCompare evals
      • POSTCompare record across evals
      • GETGet eval group
      • STREAMStream eval execution
      • POSTSubmit eval
      • GETGet eval results
Dashboard
LogoLogo
Runtype APIEvals

Compare record across evals

POST
/v1/eval/compare-record
POST
/v1/eval/compare-record
$curl -X POST https://api.runtype.com/v1/eval/compare-record \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "evalGroupId": "evalgrp_01jv0000000000000000000001",
> "recordId": "record_01jv0000000000000000000001",
> "stepIds": [
> "step_01jv0000000000000000000001",
> "step_01jv0000000000000000000002"
> ]
>}'
1{
2 "evalGroupId": "string",
3 "evals": [
4 {
5 "batchExecutionId": "string",
6 "stepResults": [
7 {
8 "completionTokens": 1,
9 "durationMs": 1,
10 "executedAt": "string",
11 "modelUsed": "string",
12 "output": "string",
13 "promptTokens": 1,
14 "stepId": "string",
15 "stepName": "string",
16 "stepResultId": "string",
17 "stepType": "string",
18 "toolCalls": [
19 null
20 ],
21 "totalCost": 1.1,
22 "error": "string"
23 }
24 ],
25 "evalName": "string"
26 }
27 ],
28 "recordId": "string"
29}
Compare results for a specific record across eval batches in a group.
Was this page helpful?
Previous

Get eval group

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
evalGroupIdstringRequired
recordIdstringRequired
stepIdslist of stringsOptional

Response

Record comparison returned
evalGroupIdstring
evalslist of objects
recordIdstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error